summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorIan Stakenvicius <axs@gentoo.org>2018-01-29 22:55:02 -0500
committerIan Stakenvicius <axs@gentoo.org>2018-01-29 22:57:23 -0500
commite06f388a5c544c4a2ec148a57e4603ff926d9bff (patch)
treed30bf4c7367ae741f9532f5ffff10fad78d10b9e /eclass
parentwww-client/firefox: clean up old/vulnerable versions (diff)
downloadgentoo-e06f388a5c544c4a2ec148a57e4603ff926d9bff.tar.gz
gentoo-e06f388a5c544c4a2ec148a57e4603ff926d9bff.tar.bz2
gentoo-e06f388a5c544c4a2ec148a57e4603ff926d9bff.zip
www-client/firefox: bump to 58.0.1 for security bug 646080
Also surpressed notify-send to hopefully prevent OOM sandbox violations, enabled verbose build output, moved rust dependency atoms to mozconfig.eclass, and expanded the rust atoms to include rust[extended] per Arfrever's suggestions in bug 646078 Bug: http://bugs.gentoo.org/646080 Bug: http://bugs.gentoo.org/646078 Package-Manager: Portage-2.3.13, Repoman-2.3.3
Diffstat (limited to 'eclass')
-rw-r--r--eclass/mozconfig-v6.58.eclass13
1 files changed, 7 insertions, 6 deletions
diff --git a/eclass/mozconfig-v6.58.eclass b/eclass/mozconfig-v6.58.eclass
index c3d5bc5e3ca..c0a337e6b11 100644
--- a/eclass/mozconfig-v6.58.eclass
+++ b/eclass/mozconfig-v6.58.eclass
@@ -1,7 +1,7 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
#
-# @ECLASS: mozconfig-v6.57.eclass
+# @ECLASS: mozconfig-v6.58.eclass
# @MAINTAINER:
# mozilla team <mozilla@gentoo.org>
# @BLURB: the new mozilla common configuration eclass for FF33 and newer, v6
@@ -103,8 +103,6 @@ RDEPEND=">=app-text/hunspell-1.5.4:=
media-libs/fontconfig
>=media-libs/freetype-2.4.10
kernel_linux? ( !pulseaudio? ( media-libs/alsa-lib ) )
- pulseaudio? ( || ( media-sound/pulseaudio
- >=media-sound/apulse-0.1.9 ) )
virtual/freedesktop-icon-theme
dbus? ( >=sys-apps/dbus-0.60
>=dev-libs/dbus-glib-0.72 )
@@ -167,8 +165,11 @@ DEPEND="app-arch/zip
>=sys-devel/binutils-2.16.1
sys-apps/findutils
pulseaudio? ( media-sound/pulseaudio )
- >=virtual/rust-1.19.0
- dev-util/cargo
+ || (
+ ( >=dev-lang/rust-1.21.0 >=dev-util/cargo-0.22.0 )
+ >=dev-lang/rust-1.21.0[extended]
+ ( >=dev-lang/rust-bin-1.21.0 >=dev-util/cargo-0.22.0 )
+ )
${RDEPEND}"
RDEPEND+="